@echo off
setlocal EnableDelayedExpansion

set "SCRIPT_DIR=%~dp0"
CLS

REM Check if help is requested
ECHO.%* | FINDSTR /I /C:"-h" /C:"--h" /C:"-help" /C:"--help">Nul && (
  em bmcpython "%SCRIPT_DIR%\scripts\saas_migration_export.py" --help
)

ECHO.%* | FINDSTR /I export_file_location>Nul && (
  set input=%*
) || (
  set /p "export_file_location=Type folder to process the output (press ENTER to confirm the current folder): "
	if not defined export_file_location (
		set "export_file_location=default"
	)
	set input=--export_file_location=!export_file_location! %*
)

em bmcpython "%SCRIPT_DIR%\scripts\saas_migration_export.py" %input%

